summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-08 15:25:59 +0000
committerJim Meyering <jim@meyering.net>2004-06-08 15:25:59 +0000
commitf41716a4efbea02ccc0eae9397f8278a9c7d285f (patch)
tree416a0c317e19c8688f2325bb50ca0d62e84572e9 /tests
parent8dbd36d92511faf7630310f5437586e231cb4fc5 (diff)
downloadcoreutils-f41716a4efbea02ccc0eae9397f8278a9c7d285f.tar.xz
Do not attempt to combine -h and -H; these
options are incompatible, and their behavior is undefined with POSIX. (changed, not_changed): Adjust to match the fact that -h is no longer specified. Sort names.
Diffstat (limited to 'tests')
-rwxr-xr-xtests/chgrp/posix-H8
1 files changed, 4 insertions, 4 deletions
diff --git a/tests/chgrp/posix-H b/tests/chgrp/posix-H
index 59f6533f0..92a2cd0c0 100755
--- a/tests/chgrp/posix-H
+++ b/tests/chgrp/posix-H
@@ -33,7 +33,7 @@ fi
fail=0
-chgrp -h -HR $g2 1s 2 || fail=1
+chgrp -H -R $g2 1s 2 || fail=1
# These must have group $g2.
# =========================
@@ -41,8 +41,8 @@ changed='
1
1/1F
2
-2/2s
2/2F
+3
'
for i in $changed; do
# Filter out symlinks (entries that end in `s'), since it's not
@@ -56,9 +56,9 @@ done
# These must have group $g1.
# =========================
not_changed='
-3
-3/3F
1s
+2/2s
+3/3F
'
for i in $not_changed; do
# Filter out symlinks (entries that end in `s'), since it's not